Find the answer to your Linux question:
Results 1 to 4 of 4
hello dear experts, during a installation - of lamp & webserver and other tools on opensuse vlibmad0 was not able to get installed ersion 12.3 the system and the installati0on ...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #1
    Linux Newbie
    Join Date
    May 2013
    Posts
    171

    libmad0 was not able to get installed - what can i do?


    hello dear experts,

    during a installation - of lamp & webserver and other tools on opensuse vlibmad0 was not able to get installed
    ersion 12.3 the system and the installati0on process got stuck





    the installation stopped.

    what can i do now ?!

    please advice

    greetings

  2. #2
    Linux Newbie
    Join Date
    May 2013
    Posts
    171
    well the repo for packman is apparently not correct - i should do something here.

    - eg with the autoupdate - function

    to sume it up:


    Apparently i have auto-refresh turned off for the Packman repo. libmad0-0.15.1b-3.2 doesn't exist, the current version is libmad0-0.15.1b-1.2, so we repo cache seems to be out of date.
    So we need to either turn auto-refresh on again (for Packman at least) or refresh the repo manually (either in YaST->Software Repositories or by running "sudo zypper ref").



    linux-70ce:/home/martin # zypper lr -d
    # | Alias | Name | Aktiviert | Aktualisieren | Prioritšt | Typ | URI | Dienst
    ---+---------------------------+------------------------------------+-----------+---------------+-----------+--------+-----------------------------------------------------------------+-------
    1 | All_of_Packman | Packman | Ja | Nein | 99 | rpm-md | http://packman.inode.at/suse/openSUSE_12.3/ |
    2 | M17N | M17N | Ja | Ja | 99 | rpm-md | http://download.opensuse.org/reposit...openSUSE_12.3/ |
    3 | openSUSE-12.3-1.7 | openSUSE-12.3-1.7 | Ja | Nein | 99 | yast2 | cd:///?devices=/dev/disk/by-id/ata-TEAC-DV-W28S-R,/dev/sr0 |
    4 | packman | packman | Ja | Ja | 99 | rpm-md | http://ftp.gwdg.de/pub/linux/packman/suse/12.1/ |
    5 | repo-debug | openSUSE-12.3-Debug | Nein | Ja | 99 | NONE | http://download.opensuse.org/debug/d...12.3/repo/oss/ |
    6 | repo-debug-update | openSUSE-12.3-Update-Debug | Nein | Ja | 99 | NONE | http://download.opensuse.org/debug/update/12.3/ |
    7 | repo-debug-update-non-oss | openSUSE-12.3-Update-Debug-Non-Oss | Nein | Ja | 99 | NONE | http://download.opensuse.org/debug/update/12.3-non-oss/ |
    8 | repo-non-oss | openSUSE-12.3-Non-Oss | Ja | Ja | 99 | yast2 | http://download.opensuse.org/distrib.../repo/non-oss/ |
    9 | repo-oss | openSUSE-12.3-Oss | Ja | Ja | 99 | yast2 | http://download.opensuse.org/distrib...12.3/repo/oss/ |
    10 | repo-source | openSUSE-12.3-Source | Nein | Ja | 99 | NONE | http://download.opensuse.org/source/...12.3/repo/oss/ |
    11 | repo-update | openSUSE-12.3-Update | Ja | Ja | 99 | rpm-md | http://download.opensuse.org/update/12.3/ |
    12 | repo-update-non-oss | openSUSE-12.3-Update-Non-Oss | Ja | Ja | 99 | rpm-md | http://download.opensuse.org/update/12.3-non-oss/ |
    linux-70ce:/home/martin #
    Last edited by sayhello; 11-02-2013 at 02:37 PM.

  3. #3
    Linux Guru Rubberman's Avatar
    Join Date
    Apr 2009
    Location
    I can be found either 40 miles west of Chicago, in Chicago, or in a galaxy far, far away.
    Posts
    11,380
    Yast should have an option to clear/refresh the repository cache to fix this. I know that yum does for Red Hat systems. That will often fix problems like this.
    Sometimes, real fast is almost as good as real time.
    Just remember, Semper Gumbi - always be flexible!

  4. #4
    Just Joined!
    Join Date
    Nov 2013
    Location
    Higden, Arkansas
    Posts
    29
    That is correct Rubberman in Yast under Software Repositories there is a refresh drop down menu with a few options for for refreshing.

    Alternatively one can open a terminal and run"sudo zypper ref" to refresh them as well.

    If I used zypper from the terminal I would probable follow it up with " sudo zypper up" to bring installed packages up to date and then run "sudo zypper in vlibmad0".

    If vlibmad0 is available it should install along with it's dependencies. If not you will receive a message that states it is unavailable.

    Hope that helps a little.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •